/*
 * このソースコードは blanco Frameworkによって自動生成されています。
 * リソースバンドル定義書から作成されたリソースバンドルクラス。
 */
package blanco.omegat.utilmessage;

import java.util.Locale;
import java.util.MissingResourceException;
import java.util.ResourceBundle;

/**
 * リソースバンドル定義[BlancoOmegatUtilMessage/メッセージ定義[BlancoOmegatUtil]が内部的に利用するリソースバンドルクラス。]のリソースバンドルクラス。
 *
 * このクラスはリソースバンドル定義書から自動生成されたリソースバンドルクラスです。<BR>
 */
class BlancoOmegatUtilMessageResourceBundle {
    /**
     * リソースバンドルオブジェクト。
     *
     * 内部的に実際に入力を行うリソースバンドルを記憶します。
     */
    private ResourceBundle fResourceBundle;

    /**
     * BlancoOmegatUtilMessageResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoOmegatUtilMessage]、デフォルトのロケール、呼び出し側のクラスローダを使用して、リソースバンドルを取得します。
     */
    public BlancoOmegatUtilMessageResourceBundle() {
        try {
            fResourceBundle = ResourceBundle.getBundle("blanco/omegat/utilmessage/BlancoOmegatUtilMessage");
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * BlancoOmegatUtilMessageResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoOmegatUtilMessage]、指定されたロケール、呼び出し側のクラスローダを使用して、リソースバンドルを取得します。
     *
     * @param locale ロケールの指定
     */
    public BlancoOmegatUtilMessageResourceBundle(final Locale locale) {
        try {
            fResourceBundle = ResourceBundle.getBundle("blanco/omegat/utilmessage/BlancoOmegatUtilMessage", locale);
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * BlancoOmegatUtilMessageResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoOmegatUtilMessage]、指定されたロケール、指定されたクラスローダを使用して、リソースバンドルを取得します。
     *
     * @param locale ロケールの指定
     * @param loader クラスローダの指定
     */
    public BlancoOmegatUtilMessageResourceBundle(final Locale locale, final ClassLoader loader) {
        try {
            fResourceBundle = ResourceBundle.getBundle("blanco/omegat/utilmessage/BlancoOmegatUtilMessage", locale, loader);
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * 内部的に保持しているリソースバンドルオブジェクトを取得します。
     *
     * @return 内部的に保持しているリソースバンドルオブジェクト。
     */
    public ResourceBundle getResourceBundle() {
        return fResourceBundle;
    }
}
